from sqlalchemy import BigInteger, DateTime, String, Column
from config.database import Base


class ExplanationStyle(Base):
    """
    讲解风格表
    """

    __tablename__ = 'explanation_style'

    explanation_style_id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='主键ID')
    name = Column(String(32), nullable=True, comment='风格名称')
    detail = Column(String(64), nullable=True, comment='风格简介')
    create_time = Column(DateTime, nullable=True, comment='创建时间')
    create_by = Column(String(64), nullable=True, comment='创建者')
    update_time = Column(DateTime, nullable=True, comment='修改时间')
    update_by = Column(String(64), nullable=True, comment='修改者')



